server:
  port: 8084

spring:
  data:
    redis:
      host: 123.57.30.183
      port: 6379
      password: aliredis666
      database: 1
  datasource:
    url: jdbc:mysql://127.0.0.1:3306/studb?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true&serverTimezone=Asia/Shanghai
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: oB54oq8cIH2SyRTFWDPc2U4g70P2Jit/E1CxoShgWBSJGqQt6vCcz0mjEO6+oPHEwQ7XH2vkMApmrHOgMv07LA==  # 修改为控制台输出的password
    #druid数据源配置
    druid:
      filter:
        # 启用Druid的过滤器配置
        config:
          enabled: true
      connect-properties:
        # 启用Druid的连接属性解密功能
        config.decrypt: true
        config.decrypt.key: MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAKEHrmL+L+Q8yRUA8BKnZVsxXHnVw2b/Y80f0U4r4P9YkQs+gJjtP0AjMpXpW9muJq+mxzwKHqRUJeO0JKfpF/ECAwEAAQ== # 控制台输出的publicKey



  servlet:
    multipart:
      max-file-size: 1000MB
      max-request-size: 1000MB
      enabled: true
      file-size-threshold: 1000MB


############## Sa-Token 配置 (文档: https://sa-token.cc) ##############
sa-token:
  # token 名称（同时也是 cookie 名称）
  token-name: satoken
  # token 有效期（单位：秒） 默认30天，-1 代表永久有效
  timeout: 2592000
  # token 最低活跃频率（单位：秒），如果 token 超过此时间没有访问系统就会被冻结，默认-1 代表不限制，永不冻结
  active-timeout: -1
  # 是否允许同一账号多地同时登录 （为 true 时允许一起登录, 为 false 时新登录挤掉旧登录）
  is-concurrent: true
  # 在多人登录同一账号时，是否共用一个 token （为 true 时所有登录共用一个 token, 为 false 时每次登录新建一个 token）
  is-share: true
  # token 风格（默认可取值：uuid、simple-uuid、random-32、random-64、random-128、tik）
  token-style: uuid
  # 是否输出操作日志
  is-log: true






global:
  minio:
    endpoint: http://1.92.149.170:9000
    port: 9000
    accessKey: admin
    secretKey: admin123456
    bucketName: cuwan
  faster-whisper:
    model: "/model/faster-whisper-small/"
    transitionApi: "http://127.0.0.1:8532/v1/audio/transcriptions"

  file_path:
    static-locations: \Guwan\


config:
  arcface-sdk:
    version: 4.1
    app-id: FnMJV3NVD5ddwF43mdjNDLWPJwXjLAcp8qJDdkaijus4
    sdk-key: AWJo7q7994q97qHrXKvZ54mAADcrkLvEBLZ1voPdUxZE
    active-key: 86L1-11RL-613B-GT8B #本机
    active-file:
    detect-pool-size: 16
    compare-pool-size: 16
    rec-face-thd: 0.8
    rec-id-thd: 0.5